Skip to main content
GET
/
open
/
api
/
network
/
list
Get network list
curl --request GET \
  --url https://user.pmock.com/api/open/api/network/list
{
  "traceId": "<string>",
  "total": 123,
  "rows": [
    {
      "id": 123,
      "name": "<string>",
      "num": 123,
      "groupId": 123,
      "groupName": "<string>",
      "host": "<string>",
      "port": 123,
      "account": "<string>",
      "password": "<string>",
      "type": "<string>",
      "status": 123,
      "detectDataType": 123,
      "bindCount": 123,
      "boxBindCount": 123,
      "countryCode": "<string>",
      "timezone": "<string>",
      "language": "<string>",
      "countryName": "<string>",
      "region": "<string>",
      "latitude": "<string>",
      "longitude": "<string>",
      "ip": "<string>",
      "remark": "<string>",
      "createTime": "<string>",
      "updateTime": "<string>",
      "expireTime": "<string>"
    }
  ],
  "code": 123,
  "msg": "<string>"
}

Query Parameters

host
string

proxy network ip/domain The host value contained in the current interface's returned result

num
integer

The num value contained in the current interface's returned result

remark
string

remark

groupId
integer<int64>

The groupId value contained in the current interface's returned result

groupCode
string

Network system packet code, all_group=All groups,renew_expired=After the renewal period,un_group=Not grouped

groupType
string

Network Packet Type, system_group=System grouping,custom_group=Custom grouping

nums
string

Proxy serial numbers, comma-separated for multiple

pageSize
integer

Number of records displayed per page The default is1,and the maximum number of items in a single query is:1

pageNum
integer

Current page count

Response

200 - application/json
traceId
string

Link ID

total
integer<int64>

Total number of records

rows
object[]

list data

code
integer

Message status code

msg
string

message content